"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconCloudSun01 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M12.912 8.26988C13.9567 7.70709 14.6667 6.60313 14.6667 5.33333C14.6667 3.49238 13.1743 2 11.3334 2C9.49243 2 8.00004 3.49238 8.00004 5.33333M8.00004 5.33333C6.57489 5.33333 5.33964 6.1464 4.73285 7.33398C4.71085 7.33355 4.68881 7.33333 4.66671 7.33333C2.82576 7.33333 1.33337 8.82572 1.33337 10.6667C1.33337 12.5076 2.82576 14 4.66671 14C7.49018 14 9.16232 14 11.6667 14C13.3236 14 14.6667 12.6569 14.6667 11C14.6667 9.34315 13.3236 8 11.6667 8C11.6207 8 11.575 8.00104 11.5296 8.00308C11.0953 6.4625 9.67953 5.33333 8.00004 5.33333Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconCloudSun01);
const CloudSun01 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "CloudSun01", props.className].join(" ")
    }
  );
});
CloudSun01.displayName = "IconCloudSun01";
exports.default = CloudSun01;
